Bug 310166 - Navigation by arrow in Kickoff menu isn't consistent in "Application" sub-menu.
Summary: Navigation by arrow in Kickoff menu isn't consistent in "Application" sub-menu.
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-kickoff (show other bugs)
Version: 4.10.4
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: accessibility, usability
Depends on:
Blocks:
 
Reported: 2012-11-15 18:40 UTC by Martin Holec
Modified: 2013-06-14 21:39 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Holec 2012-11-15 18:40:16 UTC
Navigation by arrow in kickstarter menu isn't consistent in "Application" sub-menu.

Reproducible: Always

Steps to Reproduce:
1. Open kickstart menu
2. Navigate using arrows.
3. Go to list end in "Applications" using up or down arrow.
Actual Results:  
Menu goes to "Favorites". This behaviour is different from other sub-menus (Computer etc.).

Expected Results:  
Navigation by arrows in "Favorites" should be same as in other sub-menus.

http://fedoraproject.org/wiki/QA:Testcase_KDE4_Kickoff_menu
Comment 1 Martin Holec 2013-06-06 13:08:03 UTC
This should be EasyFix, besides, it breaks your feature " The Kickoff menu can now be used with only a keyboard." Applications submenu is not usable with this bug while using keyboard.
http://www.kde.org/announcements/4.9/plasma.php

This also breaks workflow for users, who depends on keyboard-only setup, e.g. visually impaired users.
Comment 2 Lukáš Tinkl 2013-06-14 20:00:17 UTC
Git commit 07c25904c3aa504d221ea2f673db8bf1271eecce by Lukáš Tinkl.
Committed on 14/06/2013 at 21:56.
Pushed by lukas into branch 'KDE/4.10'.

Up/Down keys should not move to the left view when on the first/last position

Tested the whole kickoff menu keyboard navigation, everything works as
expected now: Right key into the submenu, left key to the parent menu;
when in the toplevel, it moves to the view on the right/left
when pressing Right/Left arrow keys respectively

M  +0    -8    plasma/desktop/applets/kickoff/ui/flipscrollview.cpp

http://commits.kde.org/kde-workspace/07c25904c3aa504d221ea2f673db8bf1271eecce